classification
Title: Remove unused #include
Type: enhancement Stage: resolved
Components: Build Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ncoghlan, vstinner, yan12125
Priority: normal Keywords:

Created on 2017-02-14 16:06 by yan12125, last changed 2017-11-24 10:06 by yan12125. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 98 merged yan12125, 2017-02-14 16:09
Messages (4)
msg287780 - (view) Author: Chih-Hsuan Yen (yan12125) * Date: 2017-02-14 16:06
This #include is added in b744ba1d14c5487576c95d0311e357b707600b47 (issue8610) and later the use of CODESET is removed in d64e8a75e5138d5e5970f0c70995ae5cc377c421 (issue9642).

Found this in investigating issue29436

Add haypo as both commit is written by you
msg287782 - (view) Author: Chih-Hsuan Yen (yan12125) * Date: 2017-02-14 16:23
Hmmm, seems there are more redundant #include <langinfo.h>; let me check one by one
msg287900 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-02-15 23:34
New changeset 72e81d00eee685cfe33aaddf2aa9feef2d07591f by Victor Stinner in branch 'master':
bpo-29556: Remove unused #include <langinfo.h> (#98)
https://github.com/python/cpython/commit/72e81d00eee685cfe33aaddf2aa9feef2d07591f
msg306882 - (view) Author: Chih-Hsuan Yen (yan12125) * Date: 2017-11-24 10:06
As https://github.com/python/cpython/pull/98 is merged, this issue is fixed. Thanks haypo for the review!
History
Date User Action Args
2017-11-24 10:06:24yan12125setstatus: open -> closed
resolution: fixed
messages: + msg306882

stage: resolved
2017-02-18 05:27:43ezio.melottisetmessages: - msg288058
2017-02-18 05:13:18ncoghlansetnosy: + ncoghlan
messages: + msg288058
2017-02-15 23:34:32vstinnersetmessages: + msg287900
2017-02-14 17:07:10yan12125settitle: Remove an unused #include from bltinmodule.c -> Remove unused #include <langinfo.h>
2017-02-14 16:23:25yan12125setmessages: + msg287782
2017-02-14 16:09:39yan12125setpull_requests: + pull_request58
2017-02-14 16:06:53yan12125create